const POSITION_OBSERVER_POSITION_TOP = 'top';
const POSITION_OBSERVER_POSITION_BOTTOM = 'bottom';
const POSITION_OBSERVER_POSITION_LEFT = 'left';
const POSITION_OBSERVER_POSITION_RIGHT = 'right';
const POSITION_OBSERVER_POSITION_CENTER = 'right';
const POSITION_OBSERVER_ALIGN_START = 'start';
const POSITION_OBSERVER_ALIGN_CENTER = 'center';
const POSITION_OBSERVER_ALIGN_END = 'end';

export type availablePositionObserverPositions =
    typeof POSITION_OBSERVER_POSITION_BOTTOM
    | typeof POSITION_OBSERVER_POSITION_TOP
    | typeof POSITION_OBSERVER_POSITION_LEFT
    | typeof POSITION_OBSERVER_POSITION_RIGHT
    | typeof POSITION_OBSERVER_POSITION_CENTER;

export const availablePositionObserverPositionsList = [
    POSITION_OBSERVER_POSITION_BOTTOM,
    POSITION_OBSERVER_POSITION_TOP,
    POSITION_OBSERVER_POSITION_LEFT,
    POSITION_OBSERVER_POSITION_RIGHT,
    POSITION_OBSERVER_POSITION_CENTER,
];

export type availablePositionObserverAligns =
    typeof POSITION_OBSERVER_ALIGN_CENTER
    | typeof POSITION_OBSERVER_ALIGN_START
    | typeof POSITION_OBSERVER_ALIGN_END;

export const availablePositionObserverAlignsList = [
    POSITION_OBSERVER_ALIGN_START,
    POSITION_OBSERVER_ALIGN_CENTER,
    POSITION_OBSERVER_ALIGN_END,
];
